% Second include file for tripod notation

semitoeSize = #(best-semitoe tuning)
inchSize = #(best-inch tuning)
sharpSize = #(best-sharp tuning)
commaSize = #(best-comma tuning)

#(set-tripod-names semitoeSize sharpSize inchSize commaSize)

xExtents = #(append
    (map (lambda (entry) (xExtent entry semitoeSize inchSize)) magicStrings)
    (map (lambda (entry) (xExtent entry sharpSize commaSize)) twinStrings)
)

yExtents = #(append
    (map (lambda (entry) (yExtent entry semitoeSize inchSize)) magicStrings)
    (map (lambda (entry) (yExtent entry sharpSize commaSize)) twinStrings)
)

#(define (accidental-text grob)
        (cdr (assoc (ly:grob-property grob 'alteration) tripodStrings)))

#(define (accidental-X-extent grob)
        (cdr (assoc (ly:grob-property grob 'alteration) xExtents)))

#(define (accidental-Y-extent grob)
        (cdr (assoc (ly:grob-property grob 'alteration) yExtents)))

% These should set the X- and Y-extents as well
% but they don't differ much

didymus = {\override Accidental #'text = #(lambda (grob)
        (cdr (assoc (ly:grob-property grob 'alteration) didymusStrings)))}

nodidymus = {\override Accidental #'text = #(lambda (grob)
        (cdr (assoc (ly:grob-property grob 'alteration) tripodStrings)))}

\layout {
  \context {
    \Score
    staffLineLayoutFunction = #tripod-position
    \override Accidental #'glyph-name-alist = \tripodGlyphs
    \override KeySignature #'glyph-name-alist = \tripodGlyphs
    \override AccidentalCautionary #'glyph-name-alist = \tripodGlyphs
    \override TrillPitchAccidental #'glyph-name-alist = \tripodGlyphs
    \override AmbitusAccidental #'glyph-name-alist = \tripodGlyphs
  }
}

% Delete this paragraph to remove Sagittal accidentals
\layout {
  \context {
    \Score
    \override Accidental #'stencil = #ly:text-interface::print
    \override Accidental #'text = #accidental-text
    \override Accidental #'font-name = #"Sagittal"
    \override Accidental #'font-size = #4
    \override Accidental #'X-extent = #accidental-X-extent
    \override Accidental #'Y-extent = #accidental-Y-extent
  }
}

\paper{
newStaffSize = #20
#(define fonts (make-pango-font-tree "URW Bookman L" "Sans" "Mono"
                    (/ newStaffSize 20)))
}
lyricsize=\small

% Tripod note names in a given register.
tripod = #(define-music-function (parser location register m)
  (integer? ly:music?)
  (ly:music-transpose m (ly:make-pitch (- register 3) 0 0)))

threeclef = \tripodClef #3
fourclef = \tripodClef #4
fiveclef = \tripodClef #5
fourfiveclef = \doubleTripodClef #4

